Skip to content

Retrieve collection of webhooks.

Request

Use this endpoint to retrieve the collection of webhook information.

Security
oauth_auth_code(Required scopes: read:webhooks)
Query
pageinteger

The collection page number

Default:1
itemsPerPageinteger, [ 0 .. 100 ]

The number of items per page

Default:20
searchstring

Webhook search

uuidstring

Webhook uuid

organizationstring

Webhook organization

user.emailstring

Webhook user.email

urlstring

Webhook url

subscriptionsstring

Webhook subscriptions

user.uuidstring

Webhook user.uuid

certificateVerificationDisabledstring

Webhook certificateVerificationDisabled

enabledstring

Webhook enabled

createdAtstring

Webhook createdAt

updatedAtstring

Webhook updatedAt

curl -i -X GET \
  'https://api.askara.ai/webhooks?page=1&itemsPerPage=20&search=string&uuid=string&organization=string&user.email=string&url=string&subscriptions=string&user.uuid=string&certificateVerificationDisabled=string&enabled=string&createdAt=string&updatedAt=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Webhook collection

Body
Array [
uuidstring or null, (uuid)

Webhook unique identifier.

organizationstring or null, (uuid)
Example:"123e4567-e89b-12d3-a456-426614174000"
userstring or null, (uuid)
Example:"123e4567-e89b-12d3-a456-426614174000"
enabledboolean
Default:true
createdAtstring, (date-time)

Webhook creation date.

updatedAtstring, (date-time)

Webhook update date.

]
Response
[ { "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "organization": "123e4567-e89b-12d3-a456-426614174000", "user": "123e4567-e89b-12d3-a456-426614174000", "enabled": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]